# Tables

## Overview

In Servoy, a table refers to a datasource identifier for tabular data, usually a table from a database. Tables are linked to dataproviders, used in filters, and interacted with through FoundSets in Servoy applications.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                                                           | Summary                                                                                                                    |
| --------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| [Edit table/view](#edit-table-view)                                               | Opens the [Table Editor](/reference/servoy-developer/object-editors/table-editor.md)                                       |
| [Open SQL Editor](#open-sql-editor)                                               | Opens the [SQL Editor](/reference/servoy-developer/object-editors/sql-editor.md)                                           |
| [Copy Table](#copy-table)                                                         | Duplicates the table                                                                                                       |
| [Hide in Developer](#hide-in-developer)                                           | Flags the table as hidden in Servoy Developer                                                                              |
| [Synchronize with DB Server Information](#synchronize-with-db-server-information) | Opens the [Database Synchronization Wizard](/reference/servoy-developer/object-editors/database-synchronization-wizard.md) |
| [Update Metadata](#update-metadata)                                               | Opens the [Metadata Synchronization Wizard](/reference/servoy-developer/object-editors/metadata-synchronization-wizard.md) |
| [Delete Table](#update-metadata)                                                  | Deletes the table                                                                                                          |

## Commands Details

The details for each command available on this item via right-click context menu:

### Edit table/view

Opens the [Table Editor](/reference/servoy-developer/object-editors/table-editor.md) to edit the table and its associated column information (metadata stored by Servoy Developer).

### Open SQL Editor

Opens [SQL Editor](/reference/servoy-developer/object-editors/sql-editor.md) where you can run SQL queries on the table. SQL Explorer Eclipse plugin needs to be installed in order for this option to show up.

### Copy Table

Creates a new table with exact same structure as the original (selected) one. You can choose a new name and the server where it should be created.

### Hide in Developer

Mark a table as hidden in developer. This table (and its datasource) will not show up in Servoy Developer wizards and editors.

### Synchronize with DB Server Information

Use this command to synchronize between the database schema and the [Database Information (.dbi) files](/reference/servoy-developer/project-file-structure/workspace-folder/resources-directory/database-information-.dbi-files.md) in your project. This command will open the [database synchronization wizard](/reference/servoy-developer/object-editors/database-synchronization-wizard.md), where you can resolve differences between the schema and your .dbi files.

### Update Metadata

Opens a wizard to synchronize the metadata tables content (which have special structure and are marked as such from table editor) and metadata tables workspace content.

### Delete Table

Deletes the selected table after prompting a confirmation window.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/resources/database-servers/database-server/tables.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
